every time i do exactly what you said and it always comes back with errors and cant find oculus file thingy. is there any way you can compile with 4.22...